Cloud DNS API, REST: DnsInboundEndpoint.List
Retrieves the list of DNS inbound endpoints in the specified folder.
HTTP request
GET https://dns.api.yandexcloud.kz/dns/v1/inboundEndpoints
Query parameters
|
Field |
Description |
|
folderId |
string ID of the folder to list DNS inbound endpoints in. The maximum string length in characters is 50. |
|
pageSize |
string (int64) The maximum number of results per page to return. Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 1000. |
|
filter |
string A filter expression that filters resources listed in the response. The maximum string length in characters is 1000. |
Response
HTTP Code: 200 - OK
{
"endpoints": [
{
"id": "string",
"folderId": "string",
"createdAt": "string",
"name": "string",
"description": "string",
"labels": "object",
"networkId": "string",
"address": "string",
"addressId": "string",
"status": "string",
"deletionProtection": "boolean"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
endpoints[] |
List of DNS inbound endpoints. |
|
nextPageToken |
string Token for getting the next page of the list. |
DnsInboundEndpoint
|
Field |
Description |
|
id |
string ID of the DNS inbound endpoint. Generated at creation time. |
|
folderId |
string ID of the folder that the DNS inbound endpoint belongs to. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
name |
string Name of the DNS inbound endpoint. |
|
description |
string Description of the DNS inbound endpoint. |
|
labels |
object (map<string, string>) DNS inbound endpoint labels as |
|
networkId |
string ID of the network that the DNS inbound endpoint belongs to. |
|
address |
string IP address of the DNS inbound endpoint. |
|
addressId |
string ID of the address resource. |
|
status |
enum (Status) Status of the DNS inbound endpoint.
|
|
deletionProtection |
boolean Prevents accidental endpoint removal. |